## Class tag_processor

zeep::http::tag_processor — Abstract base class for tag_processor.

## Synopsis

    // In header: <zeep/http/tag-processor.hpp>

    class tag_processor {
    public:
      // construct/copy/destruct
      (tag_processor &) = ;
      ();
      tag_processor & (tag_processor &) = ;
      ~();

      // public member functions

      (xml::node *, scope &, ,
                  basic_template_processor &) = ;
    };

## Description

Note that this class should be light in construction, we create it every time a page is rendered.

### `tag_processor` public construct/copy/destruct

1.     (tag_processor &) = ;

2.     ( ns);

   constructor

   Parameters:

   `ns` | Then XML namespace for the tags and attributes that are processed by this `tag_processor`

3.     tag_processor & (tag_processor &) = ;

4.     ~();

### `tag_processor` public member functions

1.     (xml::node * node, scope & scope,  dir,
                   basic_template_processor & loader) = ;

   process xml parses the XHTML and fills in the special tags and evaluates the el constructs

   This function is called to modify the xml tree in node

   Parameters:

   `dir` | The path to the docroot, the directory containing the XHTML templates
   `node` | The XML `zeep::xml::node` (element) to manipulate
   `scope` | The `zeep::http::scope` containing the variables and request